---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: default-backend
  namespace: {{ ingress_nginx_namespace }}
  labels:
    app.kubernetes.io/name: default-backend
    app.kubernetes.io/part-of: {{ ingress_nginx_namespace }}
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: default-backend
      app.kubernetes.io/part-of: {{ ingress_nginx_namespace }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: default-backend
        app.kubernetes.io/part-of: {{ ingress_nginx_namespace }}
    spec:
{% if kube_version is version('v1.11.1', '>=') %}
      priorityClassName: {% if ingress_nginx_namespace == 'kube-system' %}system-cluster-critical{% else %}k8s-cluster-critical{% endif %}{{''}}
{% endif %}
      terminationGracePeriodSeconds: 60
      containers:
        - name: default-backend
          # Any image is permissible as long as:
          # 1. It serves a 404 page at /
          # 2. It serves 200 on a /healthz endpoint
          image: {{ ingress_nginx_default_backend_image_repo }}:{{ ingress_nginx_default_backend_image_tag }}
          livenessProbe:
            httpGet:
              path: /healthz
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 5
          ports:
            - containerPort: 8080
          resources:
            limits:
              cpu: 10m
              memory: 20Mi
            requests:
              cpu: 10m
              memory: 20Mi
      # When having win nodes in cluster without this patch, this pod cloud try to be created in windows
      nodeSelector:
        beta.kubernetes.io/os: linux
